#!/bin/sh
# Maps Debian architectures to AFS sysnames for building the clients and
# libraries.  This doesn't worry about the kernel version; kern-sysname
# does that when building the kernel module.
#
# Not all architectures are listed, only those that OpenAFS supports.

case `dpkg --print-architecture` in
alpha)
    echo alpha_linux_26
    ;;
arm|armel|armhf|armv5tel)
    echo arm_linux26
    ;;
arm64)
    echo arm64_linux26
    ;;
amd64)
    echo amd64_linux26
    ;;
i[3456]86)
    echo i386_linux26
    ;;
ia64)
    echo ia64_linux26
    ;;
powerpc|powerpcspe)
    echo ppc_linux26
    ;;
ppc64)
    echo ppc64_linux26
    ;;
ppc64el)
    echo ppc64le_linux26
    ;;
s390)
    echo s390_linux26
    ;;
s390x)
    echo s390x_linux26
    ;;
sparc|sparc64)
    echo sparc_linux26
    ;;
*)
    echo "ERROR: unsupported architecture" >&2
    echo UNKNOWN
    exit 1
esac
